@charset "utf-8";
/* CSS Document */

@import url('https://fonts.googleapis.com/css2?family=M+PLUS+1:wght@400;500;700;800;900&family=M+PLUS+2:wght@400;500;700;800;900&display=swap');
/* @import url('https://fonts.googleapis.com/css2?family=M+PLUS+1p:wght@400;500;700;800;900&display=swap'); */
*{
    scroll-behavior: smooth;
    word-break: break-word;
}
body{
    margin: 0;
    padding: 0;
    position: relative;
    color: #000;
    font-family: "M PLUS 2", sans-serif;
    font-size: 1em;
    font-weight: 400;
    font-style: normal;
}

#mainwrap{
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}
main{
    min-height: 500px;
    background-color: transparent;
}

#topMain{
    margin: 50px auto;
    display: flex;
    justify-content: space-around;
}
.japanese, .english{
    width: 45%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.japanese img,
.english img{
    width: 80%;
    max-height: 100%;
    margin-bottom: 30px;
}


/* ヘッダー、フッター */
header{
    width: 0;
    height: 0;
    visibility: hidden;
}
footer{
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    background-color: #12335f;
}
.infooter{
    width: 1200px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
.footerbox{
    display: flex;
    justify-content: center;
    margin-right: 40px;
    width: fit-content;
    font-size: small;
    font-weight: 700;
}
.footleft{
    width: 20%;
    margin-right: 10px;
}
.footright{
    width: 100%;
}
.footerbox a{
    color: #fff;
    letter-spacing: 1px;
}

/* 見出し類 */

h2{
    color: #17489c;
    font-weight: bold;
    padding: 0.5em 1em;
    margin: 0 10px;
    letter-spacing: 1px;
    background-color: #9eddff;
    box-shadow: 0 0 0 10px #9eddff;
    border-top: 3px dashed #fff;
    border-bottom: 3px dashed #fff;
    border-radius: 3px;
}

h3,h4{
    margin: 1em 0;
}

h3{
    font-weight: bold;
    padding: 0.5em 1em;
    background-color: #0084c9;
    color: #fff;
    overflow: hidden;
    position: relative;
}
h3::after{
    content: '';
    background-color: #fff;
    opacity: 0.3;
    transform: rotate(-65deg);
    position: absolute;
    bottom: -250px;
    right: -250px;
    width: 300px;
    height: 500px;
}
h4{
    background: -webkit-linear-gradient(#5eb4ee 50%, #5098d3 50%);
    background: linear-gradient(#5eb4ee 50%, #5098d3 50%);
    color: #fff;
    padding: 0.3em 1em;
    border-radius: 100vh 0 0 100vh;
}
h5{
    color: #12335f;
    font-weight: bold;
    font-size: 1.1em;
    padding: 0.5em 2em;
    position: relative;
}
h5::before{
    content: '';
    height: 50%;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    border-left: 6px solid #0f7cbb;
}


/* 文字・段落の基本装飾 */
p{
    text-align: justify;
    /* word-break: break-all; */
    letter-spacing: 1px;
    line-height: 1.8rem;
}
.bold{
    font-weight: 700;
}
.red{
    color: #ec6a00;
}
.gray{
    color: #a9a9a9;
}
.blue{
    color: #0f7cbb;
}
.indent{
    text-indent: 1em;
}
.indent02{
    padding: 1em;
    text-indent: -1em;
}
.center{
    text-align: center;
}
.right{
    text-align: right;
}
.stronger{
    font-weight: 500;
    font-size: larger;
}
hr{
    border: none;
    border-top: 1px dotted #a2b7bc;;
}
.sup, .sdown{
    font-size: 0.5rem;
}
.sup{
    vertical-align: super;
}
.sdown{
    vertical-align: sub;
}
.deleteLine{
    text-decoration: line-through 2px #f00;
}

/* 迷惑メール対策 */
.at::after{
    content: '@'
}


/* 段落ボックス */

.txtBox_01{
    margin-bottom: 50px;
    padding: 0;
}
.txtBox_02{
    margin-bottom: 28px;
    padding: 0; 
}
.txtBox_03{
    margin-bottom: 16px;
    padding: 0;
}

/* リンクとかボタン */
a{
    color: #ec6a00;
    text-decoration: underline;
    cursor: pointer;
    transition: .2s;
}
a:has(>button){
    display: block;
    width: fit-content;
    width: 80%;
    height: 100%;
    min-height: 80px;
    position: relative;
    text-decoration: none;
}
a:hover{
    cursor: pointer;
    opacity: .6;
}

a button{
    background: linear-gradient(#0084c9 30%, #54c3f1 60%, #0084c9);
    width: 100%;
    height: 100%;
    font-weight: bold;
    font-size: 18px;
    color: #fff;
    border-radius: 100vh;
    cursor: pointer;
    line-height: 1.8em;
   
}
a:has(>button.btnOff){
    pointer-events: none;
}
a button.btnOff{
    background: #888;
}
/* button.btnOff{
    background-color: #888;
    box-shadow: none;
    pointer-events: none;
    color: #000;
} */

.btnBox{
    margin: 1em;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: wrap;
}
.btnBox a{
    display: block;
    width: 100%;
    max-width: calc(100% / 2.3);
    height: fit-content;
    margin: 5px 5px;
}
.btnBox a button{
    width: 100%;
    padding: 1.5em 1em;
}

/* topに戻るボタン */
#turnback{
    width: 60px;
    height: 60px;
    position: fixed;
    right: 20px;
    bottom: 50px;
    background: #3f98ef;
    opacity: 0.6;
    border-radius: 3px;
}
#turnback:hover{
    opacity: 1;
}
#turnback a{
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: #fff;
    line-height: 1em;

}
#turnback span{
    font-size: smaller;
    font-weight: 700;
}

/* レスポンシブ切り替え */

.tb_on{
    display: none;
}
.sp_on{
    display: none;
}
.spp_on{
    display: none;
}

body.scrollStop,
main.scrollStop{
    height: 100%;
    overflow: hidden;
}
/* main.scrollStop{
    height: 100vh;
    overflow: hidden;
    pointer-events: none;
} */

@media screen and (max-width:1200px){
    header,footer{
        width: 100%;
    }
}

@media screen and (max-width:1060px){

    /* レスポンシブ処理 */
    body{
        min-height: 100vh;
    }
    .tb_on{
        display: block;
    }
    .tb_none{
        display: none;
    }

    /* 内容 */

    #mainwrap{
        max-width: 100vw;
        width: 100%;
        grid-template-columns: 0 0 1fr;
        overflow: hidden;
    }
    main{
        width: 100%;
        grid-column: 1/5;
    }

    /* ヘッダー、フッター */
    footer{
        min-height: 150px;
        justify-content: center;
        text-align: center;
    }
    .infooter{
        display: contents;
    }
    .footerbox{
        margin: 0 auto;
        width: 50%;
        font-size: medium;
    }
    .footup{
        margin: 0;
    }

}

@media screen and (max-width:780px){
    .sp_on{
        display: block;
    }
    .sp_none{
        display: none;
    }
    h3::after{
        right: -280px;
    }
    .footerbox{
        font-size: 2.5vw;
    }
    .btnBox a{
        max-width: calc(100% / 2.1);
    }
}

@media screen and (max-width:600px){
     .footerbox{
        font-size: 3vw;
    }
}

@media screen and (max-width:430px){
    .spp_on{
        display: block;
    }
    h3::after{
        right: -340px;
    }
    .footerbox{
        font-size: 3.5vw;
    }
    #turnback{
        width: 17vw;
        height: 17vw;
    }
    #turnback a{
        padding: 2px;
    }
    .btnBox a{
        max-width: 90%;
    }
}
